# Remove MySQL user privileges

This function revokes a MySQL® database user's privileges.

Important:

When you disable the MySQL role and
remote MySQL is not already configured, the system disables this function.

Endpoint: GET /Mysql/revoke_access_to_database
Version: 11.136.0.25
Security: BasicAuth

## Query parameters:

  - `database` (string, required)
    The database's name.
    Example: "mydb"

  - `user` (string, required)
    The database user's name.

Important:

If database prefixing is enabled, you must prefix this value with the account
prefix and an underscore (_).

For example, for the dbuser user on the user cPanel account, pass in a value
of user_dbuser.
    Example: "dbuser"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "revoke_access_to_database"

  - `module` (string)
    The name of the module called.
    Example: "Mysql"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API.
Warnings describe non-critical failures or
 other problematic conditions noted while running a API.


